import * as $dara from '@darabonba/typescript';
export declare class GetServiceTrailResponseBodyServiceTrail extends $dara.Model {
    /**
     * @remarks
     * The status of the service trail. Valid values:
     *
     * *   **on:**
     * *   **off:**
     *
     * @example
     * on
     */
    config?: string;
    /**
     * @remarks
     * The timestamp generated when the service trail was created. Unit: milliseconds.
     *
     * @example
     * 1687250241000
     */
    createTime?: number;
    /**
     * @remarks
     * The timestamp generated when the service trail was last updated. Unit: milliseconds.
     *
     * @example
     * 1687250241000
     */
    updateTime?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceTrailResponseBody extends $dara.Model {
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * C699E4E4-F2F4-58FC-A949-457FFE59****
     */
    requestId?: string;
    /**
     * @remarks
     * The configurations of the service trail.
     */
    serviceTrail?: GetServiceTrailResponseBodyServiceTrail;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
